#include <iostream>
#include <algorithm>

using namespace std;

int main() {
	int n, s, c = 0;
	cin >> n;
	int e[n], r[n], e1[n];
	
	for(int i = 0; i < n; i++) {
		cin >> e[i];
	}
	for(int i = 0; i < n; i++) {
		cin >> r[i];
	}
	sort(e, e+n);
	
	for(int i = 0; i < n; i++) {
		int c1 = 0;
		for(int j = 0; j < n; j++) {
			if(r[i] == e[j]) {
				c1++;
			}else if(r[i] < e[j]) {
				break;
			}
		}
		e1[i] = c1;
	}
	
	for(int i = 0; i < n; i++) {
		cin >> s;
		c += e1[s-1];
	}
	
	cout << c << endl;
	
	return 0;
}